Passer au contenu principal

Packages de routeurs Fabric Cloud Router

Conditions préalables​

Authentifier - Soumettez vos informations d'identification de l'utilisateur, l'ID du client et le secret du client pour l'authentification OAuth2. Reportez-vous à API Authentication pour savoir comment appeler l'API OAuth afin de valider et d'authentifier vos informations d'identification.

Obtenir tous les packs Fabric Cloud Router​

Pour répertorier tous les paquets du Fabric Cloud Router, envoyez une requête GET au point de terminaison /fabric/v4/routerPackages. Utilisez les paramètres de requête optionnels pour contrôler la pagination.

GET /fabric/v4/routerPackages
MethodGET
URL or Endpoint/fabric/v4/routerPackages
HeadersAuthorization, Content-Type
Path ParametersNot applicable
Query Parametersoffset, limit
Body ParametersNot applicable

Exemple de requête curl :

curl -X
GET 'https://api.equinix.com/fabric/v4/routerPackages'
-H 'content-type: application/json'
-H 'authorization: Bearer <token>'

Paramètres de la requête :

  • offset (facultatif) integer - Index du premier élément renvoyé dans la réponse. La valeur par défaut est 0.
  • limit (facultatif) integer - Nombre maximal d'éléments renvoyés par page. La valeur par défaut est 20.

Exemple de réponse :

{
    "pagination": {
        "offset": 0,
        "limit": 20,
        "total": 1
    },
    "data": [
        {
            "href": "https://api.equinix.com/fabric/v4/routerPackages/STANDARD",
            "type": "ROUTER_PACKAGE",
            "code": "STANDARD",
            "description": "string",
            "totalIPv4RoutesMax": 1000,
            "totalIPv6RoutesMax": 100,
            "routeFilterSupported": true,
            "vcBandwidthMax": 10000,
            "vcCountMax": 10,
"crCountMax": 3,
            "changeLog": {
                "createdDateTime": "2022-02-10T00:14:47Z",
                "updatedDateTime": "2022-02-10T00:14:47Z"
            }
        }
    ]
}

Obtenir l'ensemble des routeurs Fabric Cloud Router spécifiés​

Pour obtenir les détails d'un paquet de Fabric Cloud Router, envoyez une requête GET au point de terminaison /fabric/v4/routerPackages/{routerPackageCode}.

GET /fabric/v4/routerPackages/{routerPackageCode}
MethodGET
URL or Endpoint/fabric/v4/routerPackages/{routerPackageCode}
HeadersAuthorization, Content-Type
Path ParametersrouterPackageCode
Query ParametersNot applicable
Body ParametersNot applicable

Exemple de requête curl :

curl -X
GET 'https://api.equinix.com/fabric/v4/routerPackages/{routerPackageCode}'
-H 'content-type: application/json'
-H 'authorization: Bearer <token>'

Paramètre de chemin :

  • routerPackageCode (obligatoire) string - Identifiant du paquet Fabric Cloud Router. Valeurs applicables : LAB, STANDARD, ADVANCED, PREMIUM.

Exemple de réponse :

{
    "href": "https://api.equinix.com/fabric/v4/routerPackages/STANDARD",
    "type": "ROUTER_PACKAGE",
    "code": "STANDARD",
    "description": "string",
    "totalIPv4RoutesMax": 1000,
"totalIPv6RoutesMax": 100,
"routeFilterSupported": true,
"vcBandwidthMax": 10000,
"vcCountMax": 10,
"crCountMax": 3,
    "changeLog": {
        "createdDateTime": "2022-01-24T10:28:51.024Z",
        "updatedDateTime": "2022-01-24T10:28:51.024Z"
    }
}
Cette page vous a-t-elle été utile ?